Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
foxit::SOAPResponseInfo Class Reference

Inherits Object.

## Public Member Functions
| SOAPResponseInfo ()
| Constructor.
| SOAPResponseInfo (const SOAPResponseInfo &soap_response)
| Constructor, with another SOAP response object. More...
| SOAPResponseInfo (const wchar_t *response_header, const wchar_t *response_body, const wchar_t *network_error, uint32 status_code)
| Constructor, with parameters. More...
void | Set (const wchar_t *response_header, const wchar_t *response_body, const wchar_t *network_error, uint32 status_code)
| Set values. More...

## Public Attributes
WString | network_error
| Network error information of the SOAP response.
WString | response_body
| Body of the SOAP response.
WString | response_header
| Header of the SOAP response.
uint32 | status_code
| Status code of the response.

## Detailed Description

This class represents SOAP response.

## Constructor & Destructor Documentation

## ◆ SOAPResponseInfo() [1/2]

foxit::SOAPResponseInfo::SOAPResponseInfo | ( | const wchar_t * | response_header,
|  | const wchar_t * | response_body,
|  | const wchar_t * | network_error,
|  | uint32 | status_code
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | response_header | Header of the SOAP response.
  [in] | response_body | Body of the SOAP response.
  [in] | network_error | Network error information of the SOAP response.
  [in] | status_code | Status code of the response.

## ◆ SOAPResponseInfo() [2/2]

foxit::SOAPResponseInfo::SOAPResponseInfo | ( | const SOAPResponseInfo & | soap_response | ) |
| inline

Constructor, with another SOAP response object.

Parameters

  [in] | soap_response | Another SOAP response object.

## Member Function Documentation

## ◆ Set()

void foxit::SOAPResponseInfo::Set | ( | const wchar_t * | response_header,
|  | const wchar_t * | response_body,
|  | const wchar_t * | network_error,
|  | uint32 | status_code
| ) |  |
| inline

Set values.

Parameters

  [in] | response_header | Header of the SOAP response.
  [in] | response_body | Body of the SOAP response.
  [in] | network_error | Network error information of the SOAP response.
  [in] | status_code | Status code of the response.

Returns
  None.